# Class ConfigObservationSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents configuration settings that govern how observations are captured, processed, or reported.

    public class ConfigObservationSettings

Inheritance
  object
  ConfigObservationSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### IgnoreUnknownObservation

    public bool IgnoreUnknownObservation { get; set; }

#### Property Value

bool

### IgnoreUnknownTreatment

    public bool IgnoreUnknownTreatment { get; set; }

#### Property Value

bool

### Refresh

    public int? Refresh { get; set; }

#### Property Value

int?